com.genesyslab.wfm8.API.service.config810

## Class CfgValidationMsg

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config810.CfgValidationMsg

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgValidationMsg
      extends java.lang.Object
      implements java.io.Serializable

  Contains Configuration Object Validation Message
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `code` Message Code
    `protected java.lang.String` | `message` Message Text
    `protected int` | `number` Message Number
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgValidationMsg()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getCode()` Gets the value of the code property.
    `java.lang.String` | `getMessage()` Gets the value of the message property.
    `int` | `getNumber()` Gets the value of the number property.
    `int` | `hashCode()`
    `void` | `setCode(java.lang.String value)` Sets the value of the code property.
    `void` | `setMessage(java.lang.String value)` Sets the value of the message property.
    `void` | `setNumber(int value)` Sets the value of the number property.
    `java.lang.String` | `toString()`
    `CfgValidationMsg` | `withCode(java.lang.String value)`
    `CfgValidationMsg` | `withMessage(java.lang.String value)`
    `CfgValidationMsg` | `withNumber(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### number

          protected int number

      Message Number

    - #### code

          protected java.lang.String code

      Message Code

    - #### message

          protected java.lang.String message

      Message Text

  - ### Constructor Detail

    - #### CfgValidationMsg

          public CfgValidationMsg()

  - ### Method Detail

    - #### getNumber

          public int getNumber()

      Gets the value of the number property.

    - #### setNumber

          public void setNumber(int value)

      Sets the value of the number property.

    - #### getCode

          public java.lang.String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(java.lang.String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessage

          public java.lang.String getMessage()

      Gets the value of the message property.
      Returns:
        possible object is `String`

    - #### setMessage

          public void setMessage(java.lang.String value)

      Sets the value of the message property.
      Parameters:
        `value` - allowed object is `String`

    - #### withNumber

          public CfgValidationMsg withNumber(int value)

    - #### withCode

          public CfgValidationMsg withCode(java.lang.String value)

    - #### withMessage

          public CfgValidationMsg withMessage(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.